import usb

####################################
VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1

####################################
class Board:
    def __init__(self):
        #print "Looking for MCU board..."
        dev = self.find_board()
        if not dev: raise "MCU board not found!"
        #print "MCU board found"
        self.handle = dev.open()

    def find_board(self):
        for bus in usb.busses():
            for dev in bus.devices:
                if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                    return dev
        return None

    def set_led(self,pin,val):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        self.handle.controlMsg(reqType, VENDOR_RQ_SET_LED, None, value=val*256+pin,timeout=100000)

    def get_switch(self,pin):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(reqType, VENDOR_RQ_GET_SWITCH, 1,value=pin,timeout=100000)
        return buf[0]

##################################################################################

print "**************Rules****************"
print "Hit switch on board"
print "Hit yellow point +1"
print "Hit red point -1"
print "Point +3,+6,+9,+12 Level 2,3,4,5"
print "1 round/2 minutes"
print "***************End******************"
print "start s/reset r"
import random
import time
import os
b=Board()
point=0
level=1
while(1):
	order=raw_input()
	if order == 's':
		level=1
		print "Point " , point
		print "*********level ",level," *********"
		for i in range(10):
			x=random.randint(0,5)
			b.set_led(x,1)
			time.sleep(0.2)
			b.set_led(x,0)
		time.sleep(0.5)
		for i in range(3):
			b.set_led(0,1)
			b.set_led(2,1)
			b.set_led(4,1)		
			time.sleep(0.2)
			b.set_led(0,0)
			b.set_led(2,0)
			b.set_led(4,0)
			time.sleep(0.6)
		for i in range(160): ########################speed/round########################
			chk = 0
			hit =0
			if level == 1:
				x=random.randint(0,5)
				b.set_led(x,1)
				for i in range(5): #######################speed/Level1############################
					if (b.get_switch(1) == 1 and chk == 0 and x == 1):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==3 and level==1):
							level+=1
						        print "*********level ",level," *********"
						break
					if (b.get_switch(3) == 1 and chk == 0 and x == 3):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==3 and level==1):
							level+=1
						    	print "*********level ",level," *********"
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 5):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==3 and level==1):
							level+=1
							print "*********level ",level," *********"	
						break
					if (b.get_switch(1) == 1 and chk == 0 and x == 0):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
					if (b.get_switch(3) == 1 and chk == 0 and x == 2):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
					if (b.get_switch(5) == 1 and chk == 0 and x == 4):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
				b.set_led(x,0)
				
			if level == 2: 
				x=random.randint(0,5)
				b.set_led(x,1)
				for i in range(4): #######################speed/Level2############################
					if (b.get_switch(1) == 1 and chk == 0 and x == 1):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==6 and level==2):
							level+=1
						      	print "*********level ",level," *********"
						break
					if (b.get_switch(3) == 1 and chk == 0 and x == 3):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==6 and level==2):
							level+=1
						        print "*********level ",level," *********"
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 5):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==6 and level==2):
							level+=1
						        print "*********level ",level," *********"
						break
					if (b.get_switch(1) == 1 and chk == 0 and x == 0):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
					if (b.get_switch(3) == 1 and chk == 0 and x == 2):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
					if (b.get_switch(5) == 1 and chk == 0 and x == 4):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
				b.set_led(x,0)

			if level == 3:
				x=random.randint(0,5)
				b.set_led(x,1)
				for i in range(3): #######################speed/Level3############################
					if (b.get_switch(1) == 1 and chk == 0 and x == 1):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==9 and level==3):
							level+=1
						        print "*********level ",level," *********"
						break
					if (b.get_switch(3) == 1 and chk == 0 and x == 3):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==9 and level==3):
							level+=1
						        print "*********level ",level," *********"
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 5):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==9 and level==3):
							level+=1
						        print "*********level ",level," *********"
						break
					if (b.get_switch(1) == 1 and chk == 0 and x == 0):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
					if (b.get_switch(3) == 1 and chk == 0 and x == 2):
						point = point-1
						chk = 1
				                print 'point ',point
						break					
					if (b.get_switch(5) == 1 and chk == 0 and x == 4):
						point = point-1
						chk = 1
				                print 'point ',point
						break
				b.set_led(x,0)

			if level == 4:
				x=random.randint(0,5)
				b.set_led(x,1)
				for i in range(2):#######################speed/Level4############################
					if (b.get_switch(1) == 1 and chk == 0 and x == 1):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==0 and level==4):
							level+=1
							print "*********level ",level," *********"
						break
					if (b.get_switch(3) == 1 and chk == 0 and x == 3):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==0 and level==4):
							level+=1
							print "*********level ",level," *********"	
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 5):
						point += 1
						chk = 1
						print 'point ',point
						if ((point%12)==0 and level==4):
							level+=1
							print "*********level ",level," *********"	
						break
					if (b.get_switch(1) == 1 and chk == 0 and x == 0):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
					if (b.get_switch(3) == 1 and chk == 0 and x == 2):
						point = point-1
						chk = 1
				                print 'point ',point
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 4):
						point = point-1
						chk = 1
				                print 'point ',point
						break
				b.set_led(x,0)

			if level == 5:
				x=random.randint(0,5)
				b.set_led(x,1)
				for i in range(1):#######################speed/Level5############################
					if (b.get_switch(1) == 1 and chk == 0 and x == 1):
						point += 1
						chk = 1
						print 'point ',point
						if (point==0 and level==0):
							level+=1
						        print "*********level ",level," *********"	
						break
					if (b.get_switch(3) == 1 and chk == 0 and x == 3):
						point += 1
						chk = 1
						print 'point ',point
						if (point==0 and level==0):
							level+=1
						        print "*********level ",level," *********"	
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 5):
						point += 1
						chk = 1
						print 'point ',point
						if (point==0 and level==0):
							level+=1
						        print "*********level ",level," *********"	
						break
					if (b.get_switch(1) == 1 and chk == 0 and x == 0):
						point = point-1
						chk = 1
				                print 'point ',point
						break
					if (b.get_switch(3) == 1 and chk == 0 and x == 2):
						point = point-1
						chk = 1
				                print 'point ',point
						break
					if (b.get_switch(5) == 1 and chk == 0 and x == 4):
						point = point-1
						chk = 1
				                print 'point ',point
						break	
				b.set_led(x,0)
		b.set_led(0,0)
		b.set_led(1,0)
		b.set_led(2,0)
		b.set_led(3,0)
		b.set_led(4,0)
		b.set_led(5,0)

	if order == 'r':
		level=1
		point=0
		print "Point " , point
		print "*********level ",level," *********"
		b.set_led(1,1)
		b.set_led(3,1)
		b.set_led(5,1)		
		time.sleep(0.2)
		b.set_led(1,0)
		b.set_led(3,0)
		b.set_led(5,0)
